diff 2.00/publish.sh @ 45:5afefe51dcdc

Initial rename to Upreckon Bonus: eliminated the last remaining mentions of Subversion.
author Oleg Oshmyan <chortos@inbox.lv>
date Sun, 19 Dec 2010 19:34:20 +0200
parents publish.sh@f90bd2d1a12b
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/2.00/publish.sh	Sun Dec 19 19:34:20 2010 +0200
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+VERSION=`hg summary | grep '^parent' | sed -En 's/^parent: [0-9]*:([0-9a-f]+) .*$/\1/p'`
+if [ -z "$VERSION" ]
+then
+	echo The current Mercurial changeset could not be determined. >&2
+	exit 1
+fi
+
+sed 's/$$REV$\$/hg '"$VERSION/" upreckon-vcs >upreckon
+chmod +x upreckon
\ No newline at end of file